<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class MeetingParticipant extends Model
{

    protected $table = "meeting_participant";

    public function proName() {
        if($this->guest_or_pro === 'PRO' && $this->pro_id) {
            $pro = Pro::find($this->pro_id);
            if($pro) {
                return $pro->name_display;
            }
        }
        return '';
    }

    public function meeting()
    {
        return $this->belongsTo(Meeting::class);
    }
}